Package io.dapr.v1

# Interface DaprProtos.BulkPublishRequestOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `DaprProtos.BulkPublishRequest`, `DaprProtos.BulkPublishRequest.Builder`

Enclosing class:
  DaprProtos

public static interface DaprProtos.BulkPublishRequestOrBuilder extends com.google.protobuf.MessageOrBuilder

## Method Summary

Modifier and Type
Method
Description
`boolean`
`containsMetadata(String key)`
The request level metadata passing to to the pubsub components
`DaprProtos.BulkPublishRequestEntry`
`getEntries(int index)`
The entries which contain the individual events and associated details to be published
`int`
`getEntriesCount()`
The entries which contain the individual events and associated details to be published
`List<DaprProtos.BulkPublishRequestEntry>`
`getEntriesList()`
The entries which contain the individual events and associated details to be published
`DaprProtos.BulkPublishRequestEntryOrBuilder`
`getEntriesOrBuilder(int index)`
The entries which contain the individual events and associated details to be published
`List<? extends DaprProtos.BulkPublishRequestEntryOrBuilder>`
`getEntriesOrBuilderList()`
The entries which contain the individual events and associated details to be published
`Map<String,String>`
`getMetadata()`
Deprecated.
`int`
`getMetadataCount()`
The request level metadata passing to to the pubsub components
`Map<String,String>`
`getMetadataMap()`
The request level metadata passing to to the pubsub components
`String`
`getMetadataOrDefault(String key, String defaultValue)`
The request level metadata passing to to the pubsub components
`String`
`getMetadataOrThrow(String key)`
The request level metadata passing to to the pubsub components
`String`
`getPubsubName()`
The name of the pubsub component
`com.google.protobuf.ByteString`
`getPubsubNameBytes()`
The name of the pubsub component
`String`
`getTopic()`
The pubsub topic
`com.google.protobuf.ByteString`
`getTopicBytes()`
The pubsub topic

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getPubsubName

String getPubsubName()

     The name of the pubsub component

`string pubsub_name = 1;`

Returns:
  The pubsubName.

### getPubsubNameBytes

com.google.protobuf.ByteString getPubsubNameBytes()

     The name of the pubsub component

`string pubsub_name = 1;`

Returns:
  The bytes for pubsubName.

### getTopic

String getTopic()

     The pubsub topic

`string topic = 2;`

Returns:
  The topic.

### getTopicBytes

com.google.protobuf.ByteString getTopicBytes()

     The pubsub topic

`string topic = 2;`

Returns:
  The bytes for topic.

### getEntriesList

List<DaprProtos.BulkPublishRequestEntry> getEntriesList()

     The entries which contain the individual events and associated details to be published

`repeated .dapr.proto.runtime.v1.BulkPublishRequestEntry entries = 3;`

### getEntries

DaprProtos.BulkPublishRequestEntry getEntries(int index)

     The entries which contain the individual events and associated details to be published

`repeated .dapr.proto.runtime.v1.BulkPublishRequestEntry entries = 3;`

### getEntriesCount

int getEntriesCount()

     The entries which contain the individual events and associated details to be published

`repeated .dapr.proto.runtime.v1.BulkPublishRequestEntry entries = 3;`

### getEntriesOrBuilderList

List<? extends DaprProtos.BulkPublishRequestEntryOrBuilder> getEntriesOrBuilderList()

     The entries which contain the individual events and associated details to be published

`repeated .dapr.proto.runtime.v1.BulkPublishRequestEntry entries = 3;`

### getEntriesOrBuilder

DaprProtos.BulkPublishRequestEntryOrBuilder getEntriesOrBuilder(int index)

     The entries which contain the individual events and associated details to be published

`repeated .dapr.proto.runtime.v1.BulkPublishRequestEntry entries = 3;`

### getMetadataCount

int getMetadataCount()

     The request level metadata passing to to the pubsub components

`map<string, string> metadata = 4;`

### containsMetadata

boolean containsMetadata(String key)

     The request level metadata passing to to the pubsub components

`map<string, string> metadata = 4;`

### getMetadata

@Deprecated Map<String,String> getMetadata()
Deprecated.
Use `getMetadataMap()` instead.

### getMetadataMap

Map<String,String> getMetadataMap()

     The request level metadata passing to to the pubsub components

`map<string, string> metadata = 4;`

### getMetadataOrDefault

String getMetadataOrDefault(String key, String defaultValue)

     The request level metadata passing to to the pubsub components

`map<string, string> metadata = 4;`

### getMetadataOrThrow

String getMetadataOrThrow(String key)

     The request level metadata passing to to the pubsub components

`map<string, string> metadata = 4;`